#ifndef _KSS_CLIENT_H_
#define _KSS_CLIENT_H_

#include <stdbool.h>
#include <X11/Xlibint.h>
#include <X11/extensions/Xext.h>
#include <X11/extensions/extutil.h>

#define kssSensitivequery kssSensitiveQuery
#define kssScreenshotNotify 0

typedef struct {
    CARD8 type;
    CARD8 extension;
    CARD16 sequenceNumber;
    CARD32 length;
    CARD16 evtype;
    CARD16 pad2;
    CARD32 window;
    CARD32 pad4;
    CARD32 pad5;
    CARD32 pad6;
    CARD32 pad7;
} xKSSScreenshotNotify;
#define sz_xKSSScreenshotNotify 32

_X_EXPORT int kssFullscreen(bool flag);
_X_EXPORT int kssScreenshot(Display *dpy, Window window, bool flag);
_X_EXPORT int kssSensitiveQuery(Display *dpy, Window window);
_X_EXPORT bool kssCheck(Display *dpy);
_X_EXPORT bool kssEventCheck(Display *dpy, XEvent *event);

#endif
